Gentoo Archives: gentoo-commits

From: "Andreas Proschofsky (suka)" <suka@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in app-office/openoffice: openoffice-3.0.1_rc2.ebuild ChangeLog
Date: Tue, 27 Jan 2009 15:04:41
Message-Id: E1LRpUV-0000nM-Ai@stork.gentoo.org
suka        09/01/27 15:04:39

  Modified:             openoffice-3.0.1_rc2.ebuild ChangeLog
  Log:
  Fix build problems with Mono 2.2, see bug #255845
  (Portage version: 2.2_rc23/cvs/Linux i686)

Revision  Changes    Path
1.2                  app-office/openoffice/openoffice-3.0.1_rc2.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/openoffice/openoffice-3.0.1_rc2.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/openoffice/openoffice-3.0.1_rc2.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/openoffice/openoffice-3.0.1_rc2.ebuild?r1=1.1&r2=1.2

Index: openoffice-3.0.1_rc2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/openoffice/openoffice-3.0.1_rc2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- openoffice-3.0.1_rc2.ebuild	18 Jan 2009 19:12:40 -0000	1.1
+++ openoffice-3.0.1_rc2.ebuild	27 Jan 2009 15:04:39 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice/openoffice-3.0.1_rc2.ebuild,v 1.1 2009/01/18 19:12:40 suka Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice/openoffice-3.0.1_rc2.ebuild,v 1.2 2009/01/27 15:04:39 suka Exp $
 
 WANT_AUTOCONF="2.5"
 WANT_AUTOMAKE="1.9"
@@ -242,6 +242,7 @@
 	epatch "${FILESDIR}/ooo-env_log.diff"
 	cp -f "${FILESDIR}/nojavanostax.diff" "${S}/patches/dev300" || die
 	cp -f "${FILESDIR}/hunspell-one-dir-nocrash.diff" "${S}/patches/dev300" || die
+	cp -f "${FILESDIR}/buildfix-mono-2-2.diff" "${S}/patches/dev300" || die
 
 	#Use flag checks
 	if use java ; then



1.444                app-office/openoffice/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/openoffice/ChangeLog?rev=1.444&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/openoffice/ChangeLog?rev=1.444&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/openoffice/ChangeLog?r1=1.443&r2=1.444

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/openoffice/ChangeLog,v
retrieving revision 1.443
retrieving revision 1.444
diff -u -r1.443 -r1.444
--- ChangeLog	18 Jan 2009 19:12:40 -0000	1.443
+++ ChangeLog	27 Jan 2009 15:04:39 -0000	1.444
@@ -1,6 +1,11 @@
 # ChangeLog for app-office/openoffice
 # Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice/ChangeLog,v 1.443 2009/01/18 19:12:40 suka Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice/ChangeLog,v 1.444 2009/01/27 15:04:39 suka Exp $
+
+  27 Jan 2009; Andreas Proschofsky <suka@g.o>
+  +files/buildfix-mono-2-2.diff, files/gentoo-3.0.1_rc2.diff,
+  openoffice-3.0.1_rc2.ebuild:
+  Fix build problems with Mono 2.2, see bug #255845
 
 *openoffice-3.0.1_rc2 (18 Jan 2009)